import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class DriveMaintainService{
	list (param) {
		return request({
			url: prefix +'/driveMaintain/list',
			method: 'get',
			params: param
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + `/driveMaintain/saveForm`,
			method: 'post',
			data: inputForm
		})
	}

	queryById (id) {
		return request({
			url: prefix +'/driveMaintain/findById',
			method: 'get',
			params: {id: id}
		})
	}

	updateStatusById(data) {
		return request({
			url: prefix + "/driveMaintain/updateStatusById",
			method: "post",
			data: data,
		})
	}
	delete (ids) {
		return request({
			url: prefix+"/driveMaintain/delete",
			method: 'delete',
			params: {id: ids}
		})
	}

	updateInfo(inputForm) {
		return request({
			url: prefix + `/driveMaintain/updateInfo`,
			method: 'post',
			data: inputForm
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/driveMaintain/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}



}
